#ifndef _SLEEPER_H_INCLUDED_
#define _SLEEPER_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// Sleeper.h
// ---------
// Sleeper class defintion
//                                                         
// (C)opyright 2000-2016 Bjoern Lemke
//
// Design and Implementation by Bjoern Lemke               
//                                                         
// INTERFACE MODULE
//
// Class: Sleeper
// 
// Description: Sleeper class implementation
//
// Status: CLEAN
//
///////////////////////////////////////////////////////////////////////////////

class Sleeper {

public:

    Sleeper();
    ~Sleeper();

    static void secSleep(int n);
    static void milliSleep(int n);
    static void microSleep(int n);
    static void nanoSleep(int n);
    
private:
    
};
#endif
